> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakto.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar materiais da aula

> Os arquivos de apoio da aula.

#### Escopo

```bash theme={null}
    read members
```


## OpenAPI

````yaml GET /public_api/members/lessons/{lesson_id}/materials/
openapi: 3.0.3
info:
  title: Cakto API
  version: 1.0.0
  description: Documentação da API pública do Cakto.
servers:
  - url: https://api.cakto.com.br
    description: Cakto API
security: []
paths:
  /public_api/members/lessons/{lesson_id}/materials/:
    get:
      tags:
        - members
      summary: Listar materiais da aula
      description: Os arquivos de apoio da aula. Enviar material novo é pelo painel.
      operationId: members_lessons_materials_list
      parameters:
        - in: path
          name: lesson_id
          schema:
            type: string
            format: uuid
          description: ID da aula.
          required: true
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MembersMaterialList'
          description: ''
        '401':
          description: Request não autenticado devido à ausência ou invalidez do token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
              examples:
                Token ausente ou inválido:
                  $ref: '#/components/examples/UnauthenticatedErrorExample'
        '404':
          description: Não existe ou não é da sua conta.
      security:
        - OAuth Token: []
components:
  schemas:
    MembersMaterialList:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/MemberLessonExtraFiles'
      required:
        - results
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
    MemberLessonExtraFiles:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único do arquivo no sistema
        title:
          type: string
          title: Título
          description: Título do arquivo
          maxLength: 255
        description:
          type: string
          title: Descrição
          description: Descrição do arquivo
        file_url:
          type: string
          readOnly: true
        file_key:
          type: string
          writeOnly: true
          maxLength: 100
        file_size:
          type: integer
          readOnly: true
          title: Tamanho do Arquivo em Bytes
          description: Tamanho do arquivo em bytes
        position:
          type: integer
          readOnly: true
          title: Posição
          description: Posição do arquivo extra na aula, para ordenação
        status:
          allOf:
            - $ref: '#/components/schemas/Status148Enum'
          readOnly: true
          description: |-
            Status atual do arquivo

            * `active` - Ativo
            * `inactive` - Inativo
            * `deleted` - Excluído
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Criado em
          description: Data de criação do arquivo extra da aula
      required:
        - created_at
        - file_key
        - file_size
        - file_url
        - id
        - position
        - status
        - title
    Status148Enum:
      enum:
        - active
        - inactive
        - deleted
      type: string
      description: |-
        * `active` - Ativo
        * `inactive` - Inativo
        * `deleted` - Excluído
  examples:
    UnauthenticatedErrorExample:
      summary: Token ausente ou inválido
      description: Token ausente ou inválido
      value:
        detail: As credenciais de autenticação não foram fornecidas.
  securitySchemes:
    OAuth Token:
      type: http
      scheme: bearer
      in: header
      name: Authorization
      description: >-
        Token de autenticação do tipo `Bearer {access_token}`, onde
        `{access_token}` é o token obtido no fluxo de
        [autenticação](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.